Onboard a Business
Prerequisites
- Client ID
- Client Secret
- OAuth Token
- A Business ID
Provide Onboarding Information
To onboard a business and move its account status from "pending" to "open," you need to provide Onboarding Information. After you submit this information, Treasure will review. Once the information has been approved, the account’s status will be changed to Open.
To get started, initiate a POST request to the /v1/businesses/{business_id}/onboarding endpoint. This call allows you to submit all KYC/KYB information at once.
Below, you’ll find an explanation of the major elements of the call:
business:
| Field | Value | Description |
|---|---|---|
| have_interested_parties_to_report | true or false | The business has interested parties that also need to receive tax documentation. |
| foreign_financial_institution | true or false | The account is for a foreign bank organized under foreign law and located outside of the United States. |
| business_members | Array of business_member objects | See the business_member section below. |
| exempt_listing_beneficial_owners | true or false | The customer is exempt from listing any beneficial owners. |
| investment_objective | Enum | Describes why the customer would like to invest their funds. |
| tax_classification | Enum | Required for every account, especially important if your business_type is LLC. |
business_member (both for business.business_members and business_member_onboarding):
| Field | Value | Description |
|---|---|---|
| String | The business member’s email used to receive monthly statements. Required for business_member_onboarding. | |
| is_authorized_signer | true or false | The business member has the right to sign for and open an account on behalf of the company. |
| leader_of_public_company | true or false | The business member is an officer or holds more than 10% of shares of another public company. |
| broker_dealer | true or false | The business member is a member of a financial entity who is a buyer and seller of cash and securities for another broker-dealer. |
| large_trader | true or false | The business member has traded more than 2 million shares/$20 million in a single day, or 20 million shares/$200 million of exchange listed securities in a month. |
| stock_exchange_finra_member_associated | true or false | The business member works for, with, or is affiliated with a FINRA registered firm. |
| politically_exposed | true or false | The business member is related to a current or former senior political figure. |
| is_entity_officer | true or false | The business member is an officer for the onboarding business. |
| residency_country | Enum | This signifies the country where the business member resides. |
policies:
| Field | Value | Description |
|---|---|---|
| bank_account_agreement | true or false | The business consented to the bank account agreement. Reserved for future use. |
| investment_management_agreement | true or false | The business consented to the Investment Management Agreement. This should be true for every business. |
| entity_new_account_ria | true or false | The business consented to the New Account Registered Investment Advisor Agreement. |
| entity_llc_agreement | true or false | The business consented to the LLC Account Agreement. This should be true for LLC and Partnership business types. |
| entity_corporation_cash_account_agreement | true or false | The business consented to the Corporation Account Agreement. |
For security purposes, please remember to use fake data in our sandbox environment.
You will also use this call to agree to some required documents, including the investment management agreement, entity LLC agreement, and entity new account RIA agreement. Treasure will provide you with copies of each of these documents. After reviewing, you will agree to these documents in the Onboarding request. When you submit your POST /v1/businesses/{business_id}/onboarding request, you will need to set the following fields to true:
{
"policies": {
"investment_management_agreement": true,
"entity_llc_agreement": true,
"entity_new_account_ria": true
}
}
Note: When you submit this request, you are legally agreeing that end users have seen and accepted the aforementioned agreements.
KYC will be triggered once all the required onboarding information has been submitted. The pending account status will have a new sub_status of INTERNAL_REVIEW, and the Treasure KYB team will contact you for further information if necessary. Once the review is finished, the status will be changed to approved or denied.
Get Onboarding Information
At any time, you can retrieve onboarding information for a specific business by making a GET request to the /v1/businesses/{business_id}/onboarding endpoint.